std::uniform_int_distribution< _IntType >::param_type(3cxx)

NAME
std::uniform_int_distribution< _IntType >::param_type

SYNOPSIS

  Public Types

typedef uniform_int_distribution< _IntType > distribution_type

  Public Member Functions

param_type (_IntType __a, _IntType __b=__gnu_cxx::__int_traits< _IntType >::__max)
result_type a () const
result_type b () const

  Friends

bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

  template<typename _IntType = int>
struct std::uniform_int_distribution< _IntType >::param_type" Parameter type.

Author

Generated automatically by Doxygen for libstdc++ from the source code.